@media only screen and (min-width : 1025px) {
    .mobile_header-wrapper{
        display: none !important;
    }
    .sidebar_heading{
        display: none;
    }
}

@media only screen and (max-width : 1366px) {
    .article, .secondary_article {padding: 30px 30px 50px;}
    .split_block_leftside-wrapper.active .circle_about:first-child,
    .split_block_leftside-wrapper.active .circle_about:nth-child(2){display : none;}
    .reviews_item, .reviews_item_link{max-height: 432px;}
}
@media only screen and (max-width : 1200px) {
    .menu_group--header{
        padding: 0 10px;
    }

    .menu_group--header .menu_group__link {
        padding: 25px 10px;
    }

    .fn_banner_clients{
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media only screen and (min-width: 1024px) and (max-width: 1050px){
    .fc .fc-toolbar{
        grid-template-columns: auto auto !important;
    }
}

@media only screen and (max-width : 1024px) {
    /* header .mobile_header-wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        gap: 10px;
        background-color: var(--header_color);
        border-bottom: none;
    }
    .header__bottom{display: none;}
    .mobile_header__bottom{display: flex!important;justify-content: center;align-items: center;background: #D4EEF5;padding: 8px 16px;}
    .header_button_switches{max-width: 344px;}
    .header_button_switch{max-width: 172px;} */
    .fn_banner_main.fast_about_content_block{height: calc(100vh - 200px);}
    .summer_animation_text{
        background-color: var(--second-company);
        margin: 0;
        font-size: 16px;
        text-align: left;
        line-height: 24px;
        border: none;
        padding: 0;
        text-decoration: underline;
    }
    .summer_animation_text:before {
        content: none;
    }
    .summer_animation_text_mobile{
        display: flex;
        width: 100%;
        align-items: center;
        justify-content: center;
        padding: 10px 0;
        font-weight: 900;
        text-align: center;
    }
    .summer_animation_text_mobile svg{
        width: 30px;
        height: 30px;
        margin: 0 5px;
    }
    .summer_animation_text_mobile svg path{
        fill: #FF9800;
    }
    /* header .mobile_logo-wrapper {
        display: flex;
        align-items: center;
        gap: 20px;
    }
    header .mobile_logo__link {
        display: block;
        width: 200px;
    }
    header .site_name-wrapper {
        display: flex;
        flex-direction: column;
    }
    header .site_name-wrapper .h1{
        font-size: 20px;
        font-weight: 900;
        color: var(--body-heading);
    }
    header .site_name-wrapper span{
        color: #ff9800;
        font-size: 16px;
    }
    header .menu_handler{
        width: 50px;
        height: 50px;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
    } */

    .hidden-md-down {
        display: none;
    }

    /* header .menu_handler span {
        display: none;
    } */

    .article,
    .secondary_article{
        padding: 50px 30px;
    }

    .secondary_article, .about_page{
        padding: 32px 16px 80px;
    }

    .breadcrumbs {
        margin: 20px 0 20px 3%;
    }
    .studio_about-wrapper{
        grid-template-columns: 1fr;
    }

    .propagation_block-wrapper{
        padding: 0 30px;
    }

    /* Mobile sidebar */
    .sidebar_heading{
        display: grid;
        align-items: center;
        height: 100%;
        padding: 30px;
    }

    .adaptive_sidebar{
        padding: 0;
    }

    .sidebar_content .tabs__link,
    .sidebar_content .button__logout,
    .sidebar_content .profile{
        padding: 20px 30px !important;
    }
    .tabs--user{
        grid-template-columns: 1fr;
    }
    .sidebars-wrapper {
        position: fixed;
        z-index: 15;
        top: unset;
        bottom: 0;
        left: 0;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
        gap: 0;
        width: 100vw;
        box-shadow: 0px 10px 30px 10px #00588114;
    }

    .sidebars-wrapper .sidebar_heading{
        text-align: center;
        background-color: #60a300;
        color: #ffffff;
        font-size: 18px;
        padding: 15px 30px;
        text-transform: uppercase;
    }
    .sidebars-wrapper .sidebar_heading span::before{
        content: "";
        display: block;
        opacity: .5;
        background-color: #ffffff;
        height: 3px;
        width: 30px;
        margin: 0 auto 15px;
    }

    .adaptive_sidebar {
        position: relative;
        border-radius: 0;
        box-shadow: unset;
    }

    .sidebars-wrapper{
        border-top:1px solid rgb(227, 227, 227);
    }

    .adaptive_sidebar:not(:last-child){
        border-right:1px solid rgb(227, 227, 227);
    }

    .sidebar_content {
        display: none;
        overflow: hidden;
        position: absolute;
        bottom: 100%;
        width: 100%;
        height: fit-content;
        background-color:#fff;
        left: 0;
        box-shadow: 0px -15px 15px -5px #00588114;
        height: 400px;
        overflow: auto;
    }
    .tabs__navigation--user .tabs__link::after{ border-radius: 0;}
    .tabs--user{grid-template-columns: unset;}
    .group_users_table .table_block-heading{grid-template-columns: 1fr;gap: 30px;}
    .reg_popup_warning, .fn_reg_popup .sub_statement{justify-content: center;}
    .fn_reg_popup .sub_statement{flex-direction: column;gap: 16px;}
    .reg_popup_warning{text-align: center;}
    .register_step_one_content{flex-direction: column; gap: 40px;}
    .online_training_page .fast_about_content_block{height: 85vh;}
    .about_online_training_section{padding: 120px 0;}
    .about_training_center_wrapper{
        border: none;
        background: none;
        height: max-content;
        margin-bottom: 32px;
    }
    .about_training_li_marker{display: none;}
    .about_training_items li{
        position: inherit;
        margin-bottom: 16px;
        display: flex!important;
        align-items: center;
        gap: 12px!important;
    }
    .about_training_items li::before{
        content: ""!important;
        width: 12px!important;
        height: 12px!important;
        display: block!important;
        background-color: #57C8DC!important;
        border-radius: 100%!important;
        min-width: 12px!important;
    }
    .about_online_training_content{flex-direction: column-reverse;align-items: flex-start;}
    .about_training_items .mobile_hidden{display: none!important;}
    .about_training_items{display: flex;flex-direction: column;}
    .about_training_items li:nth-child(2){order: -1;}
    .summer_banner_list{grid-template-columns: repeat(2, 1fr);}
    .advantages_school_items{gap: 16px;}
    .courses_items{grid-template-columns: repeat(3, 1fr);gap: 16px;}
    .courses_item_name{font-size: 22px;line-height: 26px;}
    .page_descriptions_feedback{gap: 32px;}
    .feedback_description{margin-right: 0;}
    .about_page .moving_bauble{display: none;}
    .about_page .split_block_rightside-wrapper{font-size: 16px;}
    .teachers_banner_item{height: 500px;background-size: cover;}
    .teachers_right_wrapper{max-width: 375px;}
    .article__image img.lazy.loaded{width: 100%;}
    .article_list{grid-template-columns: repeat(2, 1fr);gap: 24px;}
    .post_sidebar{max-width: 370px;}
    .post_container__wallpaper{min-height: 370px;}
    .image_wrapper{flex-direction: column;gap: 0;}
    .blockquote_wrap{margin: 30px auto 60px;}
    .post_form_wrapper{margin-top: 40px;flex-direction: column;padding: 30px;gap: 30px;}
    .post_form_content{gap: 16px;}
    .main_numbers_items{grid-template-columns: repeat(2, 1fr);gap: 16px;}
    .main_steps_left{padding: 0 0 0 24px;max-width: 610px;}
    .main_steps_right{right: 29%;}
    .section_title{font-size: 28px;margin-bottom: 24px;}
    .main_steps::before{content: none;}
    .main_steps_section {margin-top: 100px;background: #edf6fc;padding-top: 100px;}
    .main_steps{margin-top: 0;}
    .main_feedback_content, .main_faq_content {gap: 30px;}
    .banner_main_info_name{font-size: 50px;margin-bottom: 24px;}
    .banner_main_annotation{font-size: 24px;margin-bottom: 24px;}
    .banner_main_form .form--boxed{padding: 24px 40px;width: 100%;max-width: 494px;}
    .fast_about_wrapper{gap: 24px;}
    .main_numbers_item_name{font-size: 32px;}
    /* .main_study_options_info{max-height: 600px;} */
    /* .study_options_price_wrapper{flex-direction: column-reverse;gap: 0;} */
    /* .study_options_old_price{margin-bottom: 0;} */
    .main_reviews_about_wrapper .swiper-button-prev, .main_reviews_about_wrapper .swiper-button-next{display: none;}
    .article__preview{min-width: 1px;}

}

@media only screen and (max-width : 991px) {
    body{
        font-size: 16px;
    }

    /* .main {
        padding-top: 122px;
    } */

    .no_padding{
        padding-top: 0;
    }

    .breadcrumbs{
        /* margin: 50px 0 20px 30px; */
        margin: 24px 0 20px 20px;
    }
    .pageArticle{
        padding-bottom: 70px;
    }

    .courses_page_banner.pages_banner-item_block .pages_banner-item_rightside h1,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h1,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside h2,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h2,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside h3,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h3,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside h4,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h4,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside h5,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h5,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside h6,
    .courses_page_banner .pages_banner-item_block .pages_banner-item_rightside .h6,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h1,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h1,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h2,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h2,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h3,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h3,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h4,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h4,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h5,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h5,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside h6,
    .team_page_banner .pages_banner-item_block .pages_banner-item_rightside .h6{
        margin-bottom: 30px;
    }

    .studio_about_article-wrapper{
        padding: 0;
        overflow: hidden;
    }

    body>:not(.ApiManagerView) :not(.popup_block-btn.btns-wrapper)>.split_block{
        grid-template-columns: 1fr;
    }

    /* .fast_about_content-wrapper > *:first-child{
        display: none;
    } */

    .btn-wrapper {
        gap: 15px;
    }

    .btn {
        padding: 10px 20px;
        font-size: 18px;
    }

    .secondary_btn{
        font-size: 18px;
    }

    .fast_about_rightside-wrapper,
    .courses_block_heading-wrapper,
    .wow_team_heading-wrapper{
        gap: 30px;
        text-align: left;
    }

    .list_item_desc,
    .list_item-wrapper{
        height: auto !important;
    }

    .running_numbers_block-wrapper{
        padding: 30px;
        border-radius: 0;
    }

    .faq__content {
        padding: 20px 0;
        text-align: left;
    }

    .article.callback_block-wrapper {
        padding: 50px 0;
    }

    .callback-wrapper{
        padding: 30px;
        border-radius: 0;
    }

    .callback-wrapper{grid-template-columns: 1fr;}
    .callback_rightside{display: none;}

    /* footer .footer_content_block-wrapper{
        grid-template-columns: repeat(2, 1fr);
        padding: 50px 30px;
        gap: 30px;
    }

    footer .footer_part_menu.footer_contacts.company_address{gap: 10px;}
    .footer_part_menu.footer_contacts.company_address .footer_company_address{display: block!important;}
    .footer_part_menu.site_working_hours-wrapper .company_address{display: none!important;}

    footer .footer_phone_number,
    footer .menu_group__link{
        font-size: 18px;
    }

    footer #subscribe_container{
        padding: 0;
        margin: 0;
    } */

    .page_descriptions-wrapper.with_additions{
        grid-template-columns: 1fr;
    }

    .page_descriptions-wrapper.with_additions > *:nth-child(2){
        display: none;
    }
    .callback_form.page_teachers{
        display: block!important;
    }

    .auth_block-wrapper{
        grid-template-columns: 1fr;
    }
    .sidebar-wrapper{
        display: none;
    }

    .post_page_content_block-wrapper{
        grid-template-columns: 1fr;
    }

    .post_additional_info{
        flex-wrap: wrap;
    }

    .blog_page-wrapper{
        grid-template-columns: 1fr;
    }

    .fn_banner_clients{grid-template-columns: 1fr 1fr 1fr 1fr;}
    .register_step_one_content{gap: 32px;}
    .online_training_page .fast_about_content_block{display: block;}
    .online_training_page .fast_about_content_block{height: max-content;}
    .online_training_page .breadcrumbs{display: none;}
    .fn_banner_main.fast_about_content_block{height: calc(100vh - 200px);}
    .banner_main_description {font-size: 32px;}
    .banner_main_info h2{font-size: 40px;line-height: 46px;margin-bottom: 16px;}
    /* footer .footer_copyright-wrapper{gap: 10px;flex-direction: column;} */
    /* .footer_copyright-menu{width: 100%;display: flex;align-items: center;justify-content: center;} */
    .feedback_banner_wrapper{order: 2;}
    .abroad_content_text{font-size: 14px;top: 6px;padding: 5px;}
    .article__image{max-height: 216px;}
    .post_form_wrapper{padding: 20px;gap: 30px;margin-top: 0;}
    .post_container .blockquote_wrap blockquote::before{left: -10px;}
    .post_container .blockquote_wrap blockquote::after{right: -10px;}
    .post_container .blockquote_wrap blockquote, .post_container .blockquote_wrap::before{transform: rotate(2deg)!important;}
    .blockquote_wrap{transform: rotate(-2deg);}
    .image_wrapper img{margin: 0;}
    .image_wrapper{gap: 24px;margin-bottom: 24px;}
    .main_numbers_content, .main_steps, .article_page{flex-direction: column;}
    .main_steps_right{position: static;width: 100%;}
    .main_steps_right svg, .main_steps_logo{display: none;}
    .level{position: static;}
    .main_advantages_items, .boxed_links{grid-template-columns: repeat(2, 1fr);}
    .main_advantages_items{gap: 16px;}
    .main_study_options_items{grid-template-columns: repeat(1, 1fr);}
    .fast_about_wrapper{flex-direction: column;align-items: center;justify-content: center;gap: 40px;}
    /* .main_study_options_info {max-height: 440px;} */
    .main_faq_content{flex-direction: column-reverse;align-items: center;}
    .reviews_item, .reviews_item_link{max-height: 374px;}
    .main_reviews_about_wrapper {padding: 70px 0 0;}
    .main_section_wrapper{padding: 70px 0;margin-bottom: 70px;}
    .main_reviews_about_wrapper .main_reviews_about_content:first-of-type{margin-bottom: 70px;}
    .main_steps_section{margin-top: 70px;padding-top: 70px;}
    .main_steps{margin: 0 0 70px;}
    .main_faq_wrapper{padding: 70px 0;}
    .main_numbers_heading::after{right: -55%;top: 0;
        background-image: url("data:image/svg+xml,%3Csvg width='70' height='70' viewBox='0 0 70 70' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M13.3489 15.2599C21.5739 12.0189 32.5569 12.8099 36.9389 21.6999C38.9829 25.8299 38.5069 31.2479 35.3149 34.6849C32.8369 37.3519 28.5599 37.4849 27.3419 33.6349C26.9692 32.2829 26.9253 30.8614 27.2139 29.489C27.5025 28.1167 28.1152 26.8332 29.0009 25.7459C35.6999 17.4089 46.6969 24.7379 50.3999 31.9829C54.7049 40.3829 54.3059 50.5119 50.0499 58.8069C49.4339 60.0109 51.2469 61.0749 51.8629 59.8709C56.4759 50.8759 56.8819 39.9979 52.2129 30.9189C48.4189 23.5199 39.8999 17.4019 31.4509 21.2169C29.6504 22.0308 28.1005 23.3117 26.962 24.9266C25.8234 26.5415 25.1377 28.4316 24.9759 30.4009C24.7099 33.5929 25.9559 37.6669 29.3019 38.8009C33.1239 40.1239 36.8829 36.7429 38.5979 33.6349C39.5337 31.9023 40.0935 29.9917 40.2406 28.028C40.3878 26.0643 40.119 24.0916 39.4519 22.2389C35.4899 11.3399 22.3999 9.44289 12.7889 13.2369C11.5499 13.7269 12.0889 15.7569 13.3489 15.2599Z' fill='%2329B6D1'/%3E%3Cpath d='M58.1562 52.3811C55.7258 55.1367 53.136 57.7475 50.4002 60.2001L52.0452 60.4171C50.059 56.5666 47.7377 52.8985 45.1082 49.4551C44.2962 48.3981 42.4692 49.4551 43.2952 50.5191C45.9262 53.959 48.2476 57.6249 50.2322 61.4741C50.3147 61.6114 50.4271 61.7284 50.561 61.8162C50.695 61.904 50.847 61.9605 51.0058 61.9813C51.1647 62.0022 51.3261 61.9869 51.4782 61.9367C51.6303 61.8864 51.7691 61.8025 51.8842 61.6911C54.6191 59.2474 57.2089 56.646 59.6402 53.9001C60.5292 52.8921 59.0452 51.3941 58.1562 52.4161L58.1562 52.3811Z' fill='%2329B6D1'/%3E%3C/svg%3E%0A");
    }
    .banner_main_form .form--boxed{max-width: 450px;}
    .banner_main_info_name{text-align: center;}
    .banner_main_info{align-items: center;}
    .banner_main_info .btn-wrapper{margin-top: 30px;}
    .main_steps_left{padding: 0;max-width: 100%;}
    .main_steps_text, .main_steps_text_strong, .level_desc,
    .level_b2 .level_desc, .faq__list{max-width: 100%;}
    .main_steps_text{margin-bottom: 24px;}
    .level{max-width: 350px;gap: 20px;font-size: 18px;}
    .levels{display: flex;flex-direction: column-reverse;gap: 20px;}
    .level .circle{position: relative;width: 47px;height: 47px;font-size: 20px;min-width: 47px;}
    .level .circle::before {width: 24px;left: 12px;bottom: -18px;transform: rotate(90deg);}
    .main_feedback_content{flex-direction: column;}
    .main_feedback_wrapper{background-image: none; padding: 70px 0; background: linear-gradient(158.67deg, rgba(102, 219, 255, 0.27) 5.81%, rgba(218, 215, 43, 0.27) 92.6%);}
    .main_feedback_title{font-size: 32px;margin-bottom: 24px;}
    .main_numbers_item_name, .study_options_price{font-size: 28px;}
    .main_numbers_item{gap: 10px;}
    /* .footer__title_arrow{display: none;} */
}

@media only screen and (max-width : 820px) {
    .courses_page_banner .pages_banner-item_block,
    .team_page_banner .pages_banner-item_block{
        grid-template-columns: 1fr;
    }

    .organization_list-wrapper{
        grid-template-columns: 1fr 1fr;
    }

    .fn_banner_clients{
        grid-template-columns: 1fr 1fr 1fr;
    }

    .triple_block-second{
        grid-template-columns: 1fr auto;
    }

    :not(.popup_block-btn.btns-wrapper > .split_block) > .block_to_right{
        margin-left: unset !important;
    }
    .block_to_left{
        margin-right: unset !important;
    }

    .block_to_top{
        margin-bottom: unset !important;
    }

    .block_to_bottom{
        margin-top: unset !important;
    }
    .teacher_page .split_block.form_top_wrapper .block_to_right{
        margin-left: auto!important;
    }
}

@media only screen and (max-width : 767px) {
    /* header .site_name-wrapper{display: none;} */
    /* .main {
        padding-top: 122px;
    } */
    .register_step_one_content {
        gap: 24px;
    }
    .online_training_page .banner_main_img img {
        object-fit: cover;
        object-position: 70% 50%;
    }
    .online_training_page .fast_about_content_block {
        height: 85vh;
    }
    .fast_about_content-wrapper .links_wrapper{
        flex-direction: column;
        gap: 16px;
        margin-top: 24px;
    }
    .fast_about_content-wrapper .links_wrapper a{
        width: 100%;
        max-width: 318px;
        text-align: center;
        font-size: 20px;
        font-weight: 600;
        line-height: 24px;
        padding: 20px 24px;
    }
    .fast_about_content-wrapper .banner_main_info .h2{
        font-size: 24px;
        font-weight: 800;
        line-height: 28px;
        text-align: center;
    }
    .fast_about_content-wrapper .main_slide_info{
        flex-direction: column;
        align-items: center;
        gap: 6px;
    }
    .fast_about_content-wrapper .main_slide_info .main_slide_div p{
        font-size: 32px;
        line-height: 36px;
    }
    .fast_about_content-wrapper .main_slide_info .main_slide_div .main_slide_p,
    .fast_about_content-wrapper .main_slide_info div > p,
    .fast_about_content-wrapper li{
        font-size: 16px;
        line-height: 20px;
    }
    .fast_about_content-wrapper li{
        margin-bottom: 16px;
    }
    .fast_about_content-wrapper li::before{
        height: 32px!important;
        width: 32px!important;
        min-width: 32px!important;
    }
    .about_online_training_section,
    .reviews_section,
    .more_reviews_section{
        padding: 80px 0;
    }
    .about_training_center_wrapper{
        max-width: 100%;
    }
    .about_training_items li{
        font-size: 16px;
        line-height: 20px;
    }
    .section_title{
        font-size: 27px;
        /* line-height: 30px; */
        margin-bottom: 24px;
        /* text-align: center; */
    }
    .reviews_banner_items{
        padding: 0 14px;
    }
    .reviews_banner_items .swiper-wrapper{
        padding-bottom: 20px;
    }
    .more_reviews_items{
        grid-template-columns: repeat(1, 1fr);
        row-gap: 16px;
        column-gap: 16px;
    }
    .btn-wrapper > *:not(:last-child){
        margin-right: 0;
    }
    /* .header_banner_mobile{
        display: block;
        max-width: 100%;
        height: 38px;
    } */
    .banner_group__image{
        max-width: 100%;
        border-radius: 0;
        height: 38px;
        background-size: cover;
    }
    .teacher_page .split_block.form_top_wrapper .block_to_right{
        margin-left: unset!important;
    }
    .summer_banner_cost_course{
        display: none;
    }
    .SummerView .secondary_article{
        padding: 32px 16px 50px;
    }
    .summer_banner_info{
        padding: 10px 16px;
    }
    .summer_banner_top_left_wrapper{
        gap: 4px;
    }
    .summer_banner_top_wrapper{
        padding: 16px;
    }
    .summer_banner_name{
        margin-right: 16px;
        min-height: 38px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        overflow: hidden;
    }
    .summer_banner_info_top{
        padding-bottom: 10px;
        border-bottom: none;
    }
    .summer_banner_btn_wrapper .btn{
        padding: 14px 78px;
    }
    .summer_banner_btn_wrapper{
        justify-content: center;
    }
    .summer_banner_description{
        padding: 40px 16px 70px 16px !important;
    }
    .schedule_wrapper .form__groups{
        gap: 50px;
    }
    .running_numbers_block-wrapper{
        grid-template-columns: repeat(1, 1fr);
    }
    .register_test_top_wrapper{
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .register_test_form_h1{
        text-align: center;
    }
    .register_test_form_page .time{
        justify-content: center;
        margin-top: 16px;
    }
    .register_test_bottom{justify-content: center;}
    .fn_reg_popup .btn{
        font-size: 12px;
        width: 100%;
        max-width: 375px;
        padding: 15px 10px;
    }
    .test_top{flex-direction: column; gap: 14px;}
    .register_test_form_page .question{font-size: 20px;}
    .banner_main_info h2{font-size: 24px;line-height: 29px;}
    .banner_main_description{font-size: 16px;}
    .banner_main_info .btn-wrapper{gap: 16px;margin: 16px 0 0;}
    .fast_about_content-wrapper .btn-wrapper{margin: 24px 0 0;align-items: center;justify-content: center;display: flex;}
    /* footer .footer_copyright-wrapper{justify-content: center;flex-direction: column;gap: 16px;} */
    /* .footer_copyright{order: -1;} */
    /* footer .footer_copyright-wrapper .fn_menu_list > *:not(:last-child){margin-right: 0;} */
    .contact_items{flex-direction: column;gap: 16px;}
    .FeedbackView .moving_bauble{display: none;}
    .contact_item h4{font-size: 18px;margin-bottom: 4px;}
    .ya_map iframe{border-radius: 16px;height: 344px;}
    .page_descriptions_feedback{gap: 20px;}
    .block__description a.contact_link_with_img::before{margin-right: 10px;}
    .faq__question{
        font-size: 18px;
        padding: 16px;
        border-radius: 16px;
        align-items: center;
        gap: 20px;
        text-align: left;
    }
    .faq__answer ul, .faq__answer ol{margin-left: 16px;}
    .faq_block-desc{padding: 0px 30px;}
    .faq_block-wrapper {margin: 0px -16px;padding: 16px;}
    .faq__content{padding: 16px 16px 20px 16px;}
    .faq__answer ol li, .faq__answer ul li{margin: 0 0 8px 0;}
    .faq__answer p{margin-bottom: 12px;}
    .about_page .studio_about_article-wrapper{padding: 0 0 24px!important;}
    .about_team.studio_about_article-wrapper{margin: 0;background: transparent;}
    .about_team.studio_about_article-wrapper::before, .about_team.studio_about_article-wrapper::after{content: none;}
    .about_page .studio_about-wrapper{gap: 12px!important;}
    .about_wow_team, .about_top_wrapper.studio_about_article-wrapper{background: transparent;}
    .about_page .wow_team_heading-wrapper{text-align: center;}
    .about_page .wow_team_heading-wrapper h2{margin-bottom: 16px!important;}
    .wow_team_desc{font-size: 16px!important;line-height: 24px!important; margin-bottom: 16px !important;}
    .fn_readmore[data-readmore]{max-height: 155px;}
    .reviews_title{text-align: center;margin-bottom: 24px;}
    .about_reviews_section .fn_reviews_banner_items .swiper-button-prev,
    .about_reviews_section .fn_reviews_banner_items .swiper-button-next{display: none;}
    .about_top_wrapper.studio_about_article-wrapper{padding-bottom: 60px!important;}
    .about_page .container{padding: 0;}
    .teachers_page{flex-direction: column-reverse!important;}
    .teachers_left_wrapper .page_heading-wrapper{display: none;}
    .teachers_right_wrapper .page_heading-wrapper{display: block!important;}
    .teachers_banner_item{height: 278px;width: 236px;margin: 0 auto;}
    .teachers_page_description p, .teachers_page_description ol li,
    .teachers_page_description ul li{font-size: 16px;line-height: 24px;margin-bottom: 12px;}
    .page_teachers .form--boxed{padding: 24px 12px 16px;}
    .teachers_page .page_teachers .form--boxed .btn{margin-bottom: 10px;}
    /* footer{padding-top: 0;} */
    .reg_end{padding: 24px;}
    .article_list{grid-template-columns: repeat(1, 1fr);gap: 10px;}
    .blog_annotation {font-size: 16px;margin-bottom: 16px;}
    .catalog_top_categories {margin: 0 -16px 16px;padding: 0 15px;border-radius: 0;}
    .article__image {max-height: 207px;min-height: 207px;}
    .article__title{-webkit-line-clamp: initial;height: auto;}
    .subcategory_item{padding: 15px 8px 15px 0;}
    .post_container h1{font-size: 25px;}
    .post_container__wallpaper{min-height: 224px;padding-bottom: 65%;}
    .post_information{flex-direction: column;align-items: flex-start;gap: 12px;}
    .post_info{width: 100%;justify-content: space-between;}
    .block__description--style ul li::before{top: 0;}
    th{font-size: 16px;} td{font-size: 14px;}
    .blockquote_wrap{margin: 16px auto 40px;padding: 75px 30px;}
    .post_form_content .main_feedback_form_title{font-size: 20px;}
    .post_form_wrapper{gap: 24px;} .post_form_content{gap: 12px;}  .article_page{gap: 40px;}
    .popular_posts_wrapper{padding: 20px;}
    .sidebar_wrapper{gap: 40px;flex-direction: column-reverse;}
    .blockquote_wrap{transform: rotate(-1deg);}
    .post_container .blockquote_wrap blockquote{transform: rotate(1deg)!important;}
    /* .header_top_line { gap: 8px; padding: 0px 8px; } */
    .top_line_link{text-align: center;border-bottom: none;text-decoration: none;font-size: 14px;}
    /* header .mobile_logo__link, header .mobile_logo-wrapper{height: 30px;} */
    .secondary_article{padding-top: 0;}
    /* .footer__title_arrow{display: block;} */
    .main_numbers_heading::after{width: 70px;height: 70px;right: 0;top: 42px;}
    .main_numbers_item{padding: 12px 8px;gap: 5px;border-radius: 12px;}
    .main_numbers_item_name,  .main_numbers_text{font-size: 20px;}
    .main_numbers_item_annotation{font-size: 14px;}
    .main_numbers_items, .main_numbers_heading, .main_advantages_items{gap: 10px;}
    .main_numbers_logo{max-width: 256px;}
    .main_numbers_logo svg{width: 100%;height: 100%;}
    .main_numbers_content{gap: 32px;padding-bottom: 40px;margin-bottom: 40px;}
    .main_advantages_icon{width: 60px;height: 60px;}
    .main_advantages_item{padding: 10px;gap: 8px;}
    .main_advantages_title{font-size: 18px;line-height: 130%;}
    .main_advantages_annotation{font-size: 14px;-webkit-line-clamp: none;}
    .main_advantages_icon picture{max-height: 35px;display: block;width: 35px;}
    .main_advantages_icon picture img{width: 100%;height: 100%;}
    .main_section_wrapper{padding: 40px 0 40px;margin-bottom: 40px;}
    .main_study_options_item{padding: 0;}
    .main_study_options_image{border-radius: 16px 16px 0 0;height: 236px;background-size: 100% !important;}
    .main_study_options_info {max-height: max-content;margin: 0;padding: 16px;}
    .main_study_options_title{font-size: 22px;}
    .main_study_options_description p {margin-bottom: 12px;}
    .main_study_options_wrapper {flex-direction: column;}
    .main_study_options_item .main_study_options_info .main_btn.btn, .main_steps_left .main_btn.btn{width: 100%;max-width: 100%;}
    .study_options_price_wrapper{flex-direction: row;align-items: flex-start;gap: 10px;}
    .main_reviews_about_subtitle{font-size: 18px;}
    .main_reviews_about_wrapper{padding: 40px 0 0;}
    .main_reviews_about_wrapper .main_reviews_about_content:first-of-type {margin-bottom: 40px;}
    .fn_reviews_slide{margin-bottom: 4px;}
    .fn_reviews_google_slide{margin-bottom: 0;}
    .main_steps_section{margin-top: 40px;padding-top: 40px;}
    .main_steps_text_strong{margin-bottom: 24px;}
    .level{max-width: 375px;}
    .main_steps{margin: 0 0 60px;}
    .main_faq_wrapper{padding: 40px 0;}
    .faq__item{margin-bottom: 14px;border-radius: 16px;}
    .main_feedback_wrapper{padding: 60px 0;}
    .main_feedback_title{font-size: 25px;text-align: center;}
    .main_feedback_text {font-size: 20px;text-align: center;}
    .main_feedback_text p{margin-bottom: 16px;}
    .main_feedback_form_title{font-size: 22px;}
    .main_feedback_form_wrapper .form--boxed{padding: 24px 20px;}
    .main_feedback_form_wrapper .form__footer{margin-bottom: 0;}
    /* footer .footer_part-wrapper:first-child .logo__link{margin-bottom: 12px;} */
    /* footer .footer_part-wrapper:first-child{max-width: 100%;border: none;padding-top: 0;} */
    /* .site_logo_text{margin-bottom: 6px;} */
    /* footer .social{gap: 0;} */
    /* .footer_part-logo .main_btn.btn{margin-bottom: 14px;} */
    /* footer .footer_content_block-wrapper{gap: 20px;} */
    /* .footer_part-wrapper {border-top: 1px solid #FFFFFF4D;padding-top: 20px;} */
    .fn_banner_main.fast_about_content_block{height: 100%;overflow: visible;}
    .banner_main_form{display: none;}
    .banner_main_form .form--boxed{max-width: 360px;padding: 20px;box-shadow: 0px 4px 30px 0px #00366240;background: #FDFDFD;}
    .fast_about_item{min-height: 500px;}
    .banner_main_info_name{font-size: 40px;margin-bottom: 20px;text-align: left;}
    .fast_about_wrapper{padding-top: 50px;}
    .banner_main_annotation{font-size: 22px;margin-bottom: 20px;}
    .banner_main_info{align-items: flex-start;}
    .banner_main_info .btn-wrapper .btn{background-color: #29B6D1;}
    .fn_register_main{padding: 24px!important;}
    .fn_register_main .main_feedback_form_title{font-size: 22px;margin-bottom: 24px;}
    .main_study_options_notify{margin-top: 5px;}
    .main_feedback_form_wrapper{width: 100%;}
    .form_label{font-size: 16px;}
    .fn_reg_popup{padding: 32px!important;}
    .form__group_wrapper{gap: 15px;flex-direction: column;}
    .form__group_wrapper .form__group{max-width: 100%;}
    .form__group_wrapper .select2 .select2-selection, .select2-container.select2-container--custom_width_main.select2-container--open{max-width: 100%!important;}
    .check_level_wrapper_popup {font-size: 14px;}
    .check_level_wrapper_popup p{margin-bottom: 12px;}
    .check_level_wrapper_popup p:last-child{margin-bottom: 0;}
    .fn_check_level_popup {padding: 30px;}
}
@media only screen and (max-width : 768px) {
    .three_form .form__input{height: 100%; min-height: 52px;}
    .three_form, .two_form{column-gap: 24px;}
    .SummerView .form_wrapper{display: block;}
    .ApiManagerView .adaptive_sidebar .btn_form_search{margin-top: 15px!important;}
    .summer_banner_list{grid-template-columns: repeat(1, 1fr);gap: 16px;}
    .advantages_school_items, .courses_items{grid-template-columns: repeat(2, 1fr);}
    .about_page .studio_about-wrapper{flex-direction: column;gap: 20px;}
    .about_page .split_block_leftside-wrapper{max-width: 635px;}
    .about_reviews_section{padding: 24px 0 80px!important;}
    .teachers_left_wrapper{display: none;}
    .teachers_right_wrapper{max-width: 100%;}
    .page_teachers .form--boxed{max-width: 482px;margin: 24px auto 0;}
    .teachers_right_wrapper .teachers_page_description{display: block!important;margin-top: 24px;}
}
@media only screen and (max-width : 760px) {
    .studio_about_block-wrapper  section:first-child{
        display: none;
    }
    .studio_about_block-wrapper  section{
        padding:0 30px;
    }

    .studio_about_article-wrapper section{
        grid-template-columns: 1fr;
    }

    .running_number_block-wrapper {
        border: unset;
        border-bottom: 1px solid #ffffff;
        padding: 20px 0;
        gap: 20px;
    }

    /* .running_number_block-wrapper:nth-child(even) {
        border-left: 1px solid #317da5;
    } */

    .running_number_block-wrapper:last-child{
        border-bottom: unset;
    }
    .wow_team-wrapper{
        /* padding: 0 30px; */
        margin-bottom: 50px;
    }
    .faq-wrapper.container{
        padding-bottom: 0;
    }
    .faq_with_team{
        padding: 50px 0 !important;
    }

    /* .faq-wrapper,
    .faq_block-wrapper {
        padding: 0;
        border-radius: 0;
    } */

    .form_inputs_group{
        grid-template-columns: 1fr;
        gap: 10px 0;
    }

    .selects-wrapper{
        grid-template-columns: 1fr;
        gap: 20px 0;
        padding: 0;
        background-color: transparent;
        border: unset;
    }

    .teacher_recrutation_form .form__groups{
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .studio_about_article-wrapper::before{
        margin-bottom: -50px;
    }
    .studio_about_article-wrapper::after{
        margin-top: -50px;
    }

    body > .ApiManagerView .split_block{
        grid-template-columns: 1fr;
        gap: 20px;
    }

    body > .ApiManagerView .characteristic_pattern{
        grid-template-columns: auto 1fr;
    }
    .student_contact_info span:first-child,
    .student_contact_info span:nth-child(3){
        min-width: 134px;
    }
    .student_info_group_block span:first-child,
    .student_info_group_block span:nth-child(3){
        min-width: 162px;
    }

    .triple_block{
        grid-template-columns: 1fr 1fr;
    }
    .three_form {
        grid-template-columns: repeat(2, 1fr);
    }
    .group_users_table .table_block-heading .split_block {
        grid-template-columns: 1fr!important;
    }
    .wow_team_heading-wrapper h2,
    .split_block_rightside-wrapper h2,
    .courses_block_heading-wrapper h2{
        margin-bottom: 0!important;
    }
    .split_block_rightside-wrapper{gap: 30px;}
    .about_reviews_section{padding: 0!important; background: transparent;}
    .abroad_content_icon{min-width: 32px!important;max-width: 32px!important;margin-top: -6px;}
    .abroad_wrapper{align-items: flex-start;}

}

@media only screen and (max-width : 680px) {
    .post_preview_block-wrapper{
        grid-template-columns: 1fr;
    }

    .post_preview_author-wrapper{
        flex-wrap: wrap;
    }
    .studio_about_article-wrapper{
        gap: 100px;
        padding: 180px 0 !important;
    }

    /* footer .footer_content_block-wrapper {
        grid-template-columns: 1fr 1fr;
        padding-bottom: 0!important;
    }

    footer .footer_part-wrapper:last-child{
        grid-column-start: 1;
        grid-column-end: 3;
    } */

    .list_item-wrapper{
        max-width: unset;
        min-width: unset;
    }

    /* footer .footer_copyright-wrapper .fn_menu_list{
        flex-direction: column;
        align-items: center;
        gap: 20px;
    } */

    .fn_banner_clients{
        grid-template-columns: 1fr 1fr;
    }
    .three_form,
    .two_form{
        grid-template-columns: repeat(1, 1fr);
        margin-bottom: 20px;
    }
    .one_form{
        margin-bottom: 0;
    }
    .summer_bottom{
        margin: 20px 0 40px;
    }
    .summer_form .form_radio,
    .speaking_club .form_radio{
        flex-direction: column;
        margin-bottom: 10px;
        align-items: flex-start;
    }
    .summer_form .roundedOne,
    .speaking_club .roundedOne{
        margin-right: 0;
        margin-bottom: 10px;
    }
    .abroad_content_text{display: none;}

}


@media only screen and (max-width : 640px) {
    .text_nowrap{
        white-space: normal;
    }
    .boxed_links{grid-template-columns: repeat(1, 1fr);}
}


@media only screen and (max-width : 540px) {
    .auth_block-wrapper .form__footer,
    .remind_block .form__footer{
        display: grid;
        grid-template-columns: 1fr 1fr;
        margin-top: 20px;
        gap: 20px;
    }

    .auth_block-wrapper .form__footer .secondary_btn,
    .remind_block .form__footer .secondary_btn{
        grid-column-start: 2;
    }

    .organization_list-wrapper{
        grid-template-columns: 1fr;
        justify-items: center;
    }
    .form__group.from_to_time {
        grid-template-columns: 1fr 30px 1fr;
    }

    .dash{
        width: 30px;
    }

    .triple_block-second{
        grid-template-columns: auto;
        gap: 20px;
    }

    .sidebars-wrapper > .adaptive_sidebar:first-child .sidebar_content{
        left: 0;
        right: unset;
        width: 100vw;
        border-bottom: 1px solid rgb(227, 227, 227);
    }

    .sidebars-wrapper > .adaptive_sidebar:last-child .sidebar_content{
        left: unset;
        right: 0;
        width: 100vw;
        border-bottom: 1px solid rgb(227, 227, 227);
    }

    .tabs__navigation--user .tabs__link.selected::after{
        border-radius: unset;
    }

    /* footer .footer_content_block-wrapper{
        grid-template-columns: 1fr;
    }

    footer .footer_part-wrapper:last-child{
        grid-column-start: 1;
        grid-column-end: unset;
    }

    footer .footer_part-wrapper:last-child .footer_part-content {
        grid-template-columns: 1fr;
        width: fit-content;
    } */

    .advantages_school_items, .courses_items{grid-template-columns: repeat(1, 1fr);gap: 24px;}
}


@media only screen and (max-width : 480px) {
    .social__link{
        width: 50px;
        height: 50px;
    }

    .social__link .fa {
        font-size: 30px;
    }

    .callback_bottom_part .footer__social {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .fn_callback.secondary_btn{
        grid-column-start: 1;
        grid-column-end: 4;
    }

    .propagation_content-wrapper::after{
        top: -12%;
        background-size: 55%;
    }

    /* footer .footer_content_block-wrapper{
        grid-template-columns: 1fr;
        padding: 40px 8px;
    }

    footer .form__input_subscribe{
        width: 100%;
    } */

    .article:not(.studio_about_article-wrapper):not(.callback_block-wrapper){
        padding: 50px 20px;
    }

    .article.courses_block-wrapper {
        padding-bottom: 0!important;
    }

    /* .secondary_article{
        padding: 50px 0px;
    } */

    .page_heading-wrapper{
        margin-bottom: 30px;
        /* padding: 0 30px; */
    }

    .agreement_box-wrapper{
        margin-top: 0;
    }

    .fn_banner_clients .list_item-wrapper{
        padding: 60px;
    }
    .fn_banner_clients .list_item-wrapper img{
        padding: 40px;
    }

    /* .page_descriptions-wrapper.with_additions .page_descriptions{
        padding: 0px 30px;
    } */

    .fn_banner_clients{
        grid-template-columns: 1fr;
    }

    .triple_block{
        grid-template-columns: 1fr;
    }
    .register_test_form{
        padding: 16px;
    }
    .wrap_answers{padding-left: 0;}
    audio{width: 230px;}
    .register_test_bottom{margin: 0;}
    .register_test_form{width: 100%;}
}

@media only screen and (max-width : 400px) {
    .btn-wrapper{
        display: grid;
        grid-template-columns: 1fr;
    }

    .btn-wrapper .secondary_btn{
        margin-left: 20px;
    }
}
@media only screen and (max-width : 375px) {
    .studio_about_article-wrapper section{
        grid-template-columns: 1fr;
    }

    .running_number_block-wrapper:nth-child(even) {
        border-left: unset
    }

    .running_number_block-wrapper:nth-last-child(2) {
        border-bottom: 1px solid #317da5;
    }
    /* header .site_name-wrapper{
        text-align: left;
    } */
}

@media only screen and (max-width : 360px) {
    .auth_block-wrapper .form__footer{
        grid-template-columns: 1fr;
    }
    .fast_about_content-wrapper .links_wrapper a{
        font-size: 18px;
    }
    .online_training_page .fast_about_content_block{
        height: max-content;
    }
    .reviews_item_img img{
        width: 100%;
    }
    .summer_banner_top_wrapper{
        padding: 10px;
        flex-direction: column;
        align-items: baseline;
        gap: 4px;
    }
    audio{width: 180px;}
    .secondary_article{padding: 0 10px 60px;}
    .courses_item_name{font-size: 20px;line-height: 24px;}
    .banner_info{margin-top: 0;}
    .article__image {max-height: 178px;min-height: 178px;}
    .blockquote_wrap, .post_container .blockquote_wrap blockquote, .post_container .blockquote_wrap::before{transform: rotate(0deg)!important;}
    .banner_main_info_name{font-size: 30px;}
    .banner_main_form .form--boxed{max-width: 306px;}
    .main_numbers_heading::after{right: -3px;top: 26px;}
    .reviews_item, .reviews_item_link{max-height: 312px;}
}
